core / StateRef

# StateRef

`data class StateRef`

A stateref is a pointer (reference) to a state, this is an equivalent of an "outpoint" in Bitcoin. It records which transaction defined the state and where in that transaction it was.

### Constructors

<init> | `StateRef(txhash: SecureHash, index: Int)` A stateref is a pointer (reference) to a state, this is an equivalent of an "outpoint" in Bitcoin. It records which transaction defined the state and where in that transaction it was.

### Properties

index | `val index: Int`
txhash | `val txhash: SecureHash`

### Functions

toString | `fun toString(): String`